## org.apache.solr.common.params
Interface ShardParams

    public interface ShardParams

Parameters used for distributed search.

Field Summary
`static String` `IDS` IDs of the shard documents
`static String` `IS_SHARD` whether the request goes to a shard
`static String` `SHARDS` the shards to use (distributed configuration)
`static String` `SHARDS_QT` query type for shard requests
`static String` `SHARDS_ROWS` per-shard start and rows
`static String` `SHARDS_START`

Field Detail

### SHARDS

    static final String SHARDS

  the shards to use (distributed configuration)

  See Also:
    Constant Field Values

### SHARDS_ROWS

    static final String SHARDS_ROWS

  per-shard start and rows

  See Also:
    Constant Field Values

### SHARDS_START

    static final String SHARDS_START

See Also:
  Constant Field Values

### IDS

    static final String IDS

  IDs of the shard documents

  See Also:
    Constant Field Values

### IS_SHARD

    static final String IS_SHARD

  whether the request goes to a shard

  See Also:
    Constant Field Values

### SHARDS_QT

    static final String SHARDS_QT

  query type for shard requests

  See Also:
    Constant Field Values

Copyright © 2011 Apache Software Foundation. All Rights Reserved.